Bug 17592 - Remove itemtype-related maxsuspensiondays.t warnings
Summary: Remove itemtype-related maxsuspensiondays.t warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-08 19:27 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings (2.11 KB, patch)
2016-11-08 19:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings (2.18 KB, patch)
2016-11-09 10:14 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings (2.26 KB, patch)
2016-11-11 08:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-08 19:27:57 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-08 19:30:01 UTC
Created attachment 57349 [details] [review]
Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings

This patch makes t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Josef Moravec 2016-11-09 10:14:37 UTC
Created attachment 57368 [details] [review]
[SIGNED-OFF] Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings

This patch makes t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2016-11-11 08:04:23 UTC
Created attachment 57444 [details] [review]
Bug 17592: Remove itemtype-related maxsuspensiondays.t warnings

This patch makes t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IssuingRules/maxsuspensiondays.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-11-12 02:37:34 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 10:49:46 UTC
Pushed to 16.05.x, for 16.05.06 release